/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-06-22
 * 描述            ：二级接口-轧机_L3_PDI
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Rolling.Performance.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Rolling.Performance.mapper.IfRoll01L3PdiMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="IF_ROLL01_L3_PDI", namespace=IfRoll01L3PdiMapper.class)
public class IfRoll01L3Pdi extends BaseVO implements Serializable {
	
	
	
	private String orderno;
	
	public String getOrderno() {
		return orderno;
	}
	public void setOrderno(String orderno) {
		this.orderno = orderno;
	}

	/** 
	 * 记录号（由业务接口创建，唯一标识消息）
	 */ 
	@Id
	private Long serial_no;
	public Long getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(Long serial_no) {
		this.serial_no = serial_no;
	}

	@Column
	private String exit_weight_min;
	
	@Column
	private String exit_weight_max;
	
	@Column
	private String exit_thickness;
	
	@Column
	private String exit_thickness_min;
	
	@Column
	private String exit_thickness_max;
	
	public String getExit_weight_min() {
		return exit_weight_min;
	}
	public void setExit_weight_min(String exit_weight_min) {
		this.exit_weight_min = exit_weight_min;
	}
	public String getExit_weight_max() {
		return exit_weight_max;
	}
	public void setExit_weight_max(String exit_weight_max) {
		this.exit_weight_max = exit_weight_max;
	}
	public String getExit_thickness() {
		return exit_thickness;
	}
	public void setExit_thickness(String exit_thickness) {
		this.exit_thickness = exit_thickness;
	}
	public String getExit_thickness_min() {
		return exit_thickness_min;
	}
	public void setExit_thickness_min(String exit_thickness_min) {
		this.exit_thickness_min = exit_thickness_min;
	}
	public String getExit_thickness_max() {
		return exit_thickness_max;
	}
	public void setExit_thickness_max(String exit_thickness_max) {
		this.exit_thickness_max = exit_thickness_max;
	}

	/** 
	 * 下发时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date send_time;
	public Date getSend_time() {
		return this.send_time;
	}
	public void setSend_time(Date send_time) {
		this.send_time = send_time;
	}

	/** 
	 * 下发人
	 */ 
	@Column
	private String send_opr;
	public String getSend_opr() {
		return this.send_opr;
	}
	public void setSend_opr(String send_opr) {
		this.send_opr = send_opr;
	}

	/** 
	 * 入口卷号
	 */ 
	@Column
	private String entry_coil_no;
	public String getEntry_coil_no() {
		return this.entry_coil_no;
	}
	public void setEntry_coil_no(String entry_coil_no) {
		this.entry_coil_no = entry_coil_no;
	}

	/** 
	 * 出口卷号
	 */ 
	@Column
	private String exit_coil_no;
	public String getExit_coil_no() {
		return this.exit_coil_no;
	}
	public void setExit_coil_no(String exit_coil_no) {
		this.exit_coil_no = exit_coil_no;
	}

	/** 
	 * 入口卷来源（0：自产、1：外购）
	 */ 
	@Column
	private String entry_coil_source;
	public String getEntry_coil_source() {
		return this.entry_coil_source;
	}
	public void setEntry_coil_source(String entry_coil_source) {
		this.entry_coil_source = entry_coil_source;
	}

	/** 
	 * 计划号
	 */ 
	@Column
	private String plan_no;
	public String getPlan_no() {
		return this.plan_no;
	}
	public void setPlan_no(String plan_no) {
		this.plan_no = plan_no;
	}

	/** 
	 * 入口热卷厚度（um）实际值不会超过4mm
	 */ 
	@Column
	private String entry_thichness;
	public String getEntry_thichness() {
		return this.entry_thichness;
	}
	public void setEntry_thichness(String entry_thichness) {
		this.entry_thichness = entry_thichness;
	}

	/** 
	 * 入口热卷宽度（mm）
	 */ 
	@Column
	private String entry_width;
	public String getEntry_width() {
		return this.entry_width;
	}
	public void setEntry_width(String entry_width) {
		this.entry_width = entry_width;
	}

	/** 
	 * 入口热卷重量（kg）
	 */ 
	@Column
	private String entry_weight;
	public String getEntry_weight() {
		return this.entry_weight;
	}
	public void setEntry_weight(String entry_weight) {
		this.entry_weight = entry_weight;
	}

	/** 
	 * 入口热卷内径（mm）
	 */ 
	@Column
	private String inner_diameter;
	public String getInner_diameter() {
		return this.inner_diameter;
	}
	public void setInner_diameter(String inner_diameter) {
		this.inner_diameter = inner_diameter;
	}

	/** 
	 * 入口热卷外径（mm）
	 */ 
	@Column
	private String outer_diameter;
	public String getOuter_diameter() {
		return this.outer_diameter;
	}
	public void setOuter_diameter(String outer_diameter) {
		this.outer_diameter = outer_diameter;
	}

	/** 
	 * 退火后硬度
	 */ 
	@Column
	private String harderness_annealing;
	public String getHarderness_annealing() {
		return this.harderness_annealing;
	}
	public void setHarderness_annealing(String harderness_annealing) {
		this.harderness_annealing = harderness_annealing;
	}

	/** 
	 * 退火温度（℃）
	 */ 
	@Column
	private String temp_annealing;
	public String getTemp_annealing() {
		return this.temp_annealing;
	}
	public void setTemp_annealing(String temp_annealing) {
		this.temp_annealing = temp_annealing;
	}

	/** 
	 * 平整模式（0：平整、1：轧制）
	 */ 
	@Column
	private String spm_mode;
	public String getSpm_mode() {
		return this.spm_mode;
	}
	public void setSpm_mode(String spm_mode) {
		this.spm_mode = spm_mode;
	}

	/** 
	 * 平整伸长率（0.01%，e.g. 255 => 2.55 %  ，平整模式）
	 */ 
	@Column
	private String spm_elong;
	public String getSpm_elong() {
		return spm_elong;
	}
	public void setSpm_elong(String spm_elong) {
		this.spm_elong = spm_elong;
	}

	/** 
	 * 压下率（%）
	 */ 
	@Column
	private String reduce;
	public String getReduce() {
		return this.reduce;
	}
	public void setReduce(String reduce) {
		this.reduce = reduce;
	}

	/** 
	 * 套筒（0：无、1：有）
	 */ 
	@Column
	private String sleeve;
	public String getSleeve() {
		return this.sleeve;
	}
	public void setSleeve(String sleeve) {
		this.sleeve = sleeve;
	}

	/** 
	 * 出口套筒外径（520~600）
	 */ 
	@Column
	private String outer_dia_sleeve;
	public String getOuter_dia_sleeve() {
		return this.outer_dia_sleeve;
	}
	public void setOuter_dia_sleeve(String outer_dia_sleeve) {
		this.outer_dia_sleeve = outer_dia_sleeve;
	}

	/** 
	 * 套筒重量（kg）
	 */ 
	@Column
	private String weight_sleeve;
	public String getWeight_sleeve() {
		return this.weight_sleeve;
	}
	public void setWeight_sleeve(String weight_sleeve) {
		this.weight_sleeve = weight_sleeve;
	}

	/** 
	 * 国标钢种
	 */ 
	@Column
	private String gb_steel_grade;
	public String getGb_steel_grade() {
		return this.gb_steel_grade;
	}
	public void setGb_steel_grade(String gb_steel_grade) {
		this.gb_steel_grade = gb_steel_grade;
	}

	/** 
	 * 钢种
	 */ 
	@Column
	private String steel_grade;
	public String getSteel_grade() {
		return this.steel_grade;
	}
	public void setSteel_grade(String steel_grade) {
		this.steel_grade = steel_grade;
	}

	/** 
	 * 化学成分有效位
	 */ 
	@Column
	private String alloy_components_avai;
	public String getAlloy_components_avai() {
		return this.alloy_components_avai;
	}
	public void setAlloy_components_avai(String alloy_components_avai) {
		this.alloy_components_avai = alloy_components_avai;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_c;
	public String getCa_c() {
		return this.ca_c;
	}
	public void setCa_c(String ca_c) {
		this.ca_c = ca_c;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_cr;
	public String getCa_cr() {
		return this.ca_cr;
	}
	public void setCa_cr(String ca_cr) {
		this.ca_cr = ca_cr;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_cu;
	public String getCa_cu() {
		return this.ca_cu;
	}
	public void setCa_cu(String ca_cu) {
		this.ca_cu = ca_cu;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_mn;
	public String getCa_mn() {
		return this.ca_mn;
	}
	public void setCa_mn(String ca_mn) {
		this.ca_mn = ca_mn;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_ni;
	public String getCa_ni() {
		return this.ca_ni;
	}
	public void setCa_ni(String ca_ni) {
		this.ca_ni = ca_ni;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_p;
	public String getCa_p() {
		return this.ca_p;
	}
	public void setCa_p(String ca_p) {
		this.ca_p = ca_p;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_s;
	public String getCa_s() {
		return this.ca_s;
	}
	public void setCa_s(String ca_s) {
		this.ca_s = ca_s;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_si;
	public String getCa_si() {
		return this.ca_si;
	}
	public void setCa_si(String ca_si) {
		this.ca_si = ca_si;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_x0;
	public String getCa_x0() {
		return this.ca_x0;
	}
	public void setCa_x0(String ca_x0) {
		this.ca_x0 = ca_x0;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_x1;
	public String getCa_x1() {
		return this.ca_x1;
	}
	public void setCa_x1(String ca_x1) {
		this.ca_x1 = ca_x1;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_x2;
	public String getCa_x2() {
		return this.ca_x2;
	}
	public void setCa_x2(String ca_x2) {
		this.ca_x2 = ca_x2;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_x3;
	public String getCa_x3() {
		return this.ca_x3;
	}
	public void setCa_x3(String ca_x3) {
		this.ca_x3 = ca_x3;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_x4;
	public String getCa_x4() {
		return this.ca_x4;
	}
	public void setCa_x4(String ca_x4) {
		this.ca_x4 = ca_x4;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_x5;
	public String getCa_x5() {
		return this.ca_x5;
	}
	public void setCa_x5(String ca_x5) {
		this.ca_x5 = ca_x5;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_x6;
	public String getCa_x6() {
		return this.ca_x6;
	}
	public void setCa_x6(String ca_x6) {
		this.ca_x6 = ca_x6;
	}

	/** 
	 * 上道工序代码
	 */ 
	@Column
	private String preced_process_code;
	public String getPreced_process_code() {
		return this.preced_process_code;
	}
	public void setPreced_process_code(String preced_process_code) {
		this.preced_process_code = preced_process_code;
	}

	/** 
	 * 后道工序代码
	 */ 
	@Column
	private String next_process_code;
	public String getNext_process_code() {
		return this.next_process_code;
	}
	public void setNext_process_code(String next_process_code) {
		this.next_process_code = next_process_code;
	}

	/** 
	 * 备注信息
	 */ 
	@Column(value="comment_desc")
	private String comment;
	public String getComment() {
		return this.comment;
	}
	public void setComment(String comment) {
		this.comment = comment;
	}

	/** 
	 * 出口库位
	 */ 
	@Column
	private String exit_yard_location;
	public String getExit_yard_location() {
		return this.exit_yard_location;
	}
	public void setExit_yard_location(String exit_yard_location) {
		this.exit_yard_location = exit_yard_location;
	}

	/** 
	 * 入口库位
	 */ 
	@Column
	private String entry_yard_location;
	public String getEntry_yard_location() {
		return this.entry_yard_location;
	}
	public void setEntry_yard_location(String entry_yard_location) {
		this.entry_yard_location = entry_yard_location;
	}

	/** 
	 * 预留
	 */ 
	@Column
	private String reserve1;
	public String getReserve1() {
		return this.reserve1;
	}
	public void setReserve1(String reserve1) {
		this.reserve1 = reserve1;
	}

	/** 
	 * 原料供应商
	 */ 
	@Column
	private String supplier;
	public String getSupplier() {
		return this.supplier;
	}
	public void setSupplier(String supplier) {
		this.supplier = supplier;
	}

	/** 
	 * 下游客户
	 */ 
	@Column
	private String customer;
	public String getCustomer() {
		return this.customer;
	}
	public void setCustomer(String customer) {
		this.customer = customer;
	}

	/** 
	 * 来料长度
	 */ 
	@Column
	private String entry_length;
	public String getEntry_length() {
		return this.entry_length;
	}
	public void setEntry_length(String entry_length) {
		this.entry_length = entry_length;
	}

	/** 
	 * 来料凸度
	 */ 
	@Column
	private String entry_crown;
	public String getEntry_crown() {
		return this.entry_crown;
	}
	public void setEntry_crown(String entry_crown) {
		this.entry_crown = entry_crown;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_mo;
	public String getCa_mo() {
		return this.ca_mo;
	}
	public void setCa_mo(String ca_mo) {
		this.ca_mo = ca_mo;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_v;
	public String getCa_v() {
		return this.ca_v;
	}
	public void setCa_v(String ca_v) {
		this.ca_v = ca_v;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_ti;
	public String getCa_ti() {
		return this.ca_ti;
	}
	public void setCa_ti(String ca_ti) {
		this.ca_ti = ca_ti;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_als;
	public String getCa_als() {
		return this.ca_als;
	}
	public void setCa_als(String ca_als) {
		this.ca_als = ca_als;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_alt;
	public String getCa_alt() {
		return this.ca_alt;
	}
	public void setCa_alt(String ca_alt) {
		this.ca_alt = ca_alt;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_nb;
	public String getCa_nb() {
		return this.ca_nb;
	}
	public void setCa_nb(String ca_nb) {
		this.ca_nb = ca_nb;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_n;
	public String getCa_n() {
		return this.ca_n;
	}
	public void setCa_n(String ca_n) {
		this.ca_n = ca_n;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_as;
	public String getCa_as() {
		return this.ca_as;
	}
	public void setCa_as(String ca_as) {
		this.ca_as = ca_as;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_sn;
	public String getCa_sn() {
		return this.ca_sn;
	}
	public void setCa_sn(String ca_sn) {
		this.ca_sn = ca_sn;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_ca;
	public String getCa_ca() {
		return this.ca_ca;
	}
	public void setCa_ca(String ca_ca) {
		this.ca_ca = ca_ca;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_b;
	public String getCa_b() {
		return this.ca_b;
	}
	public void setCa_b(String ca_b) {
		this.ca_b = ca_b;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_pb;
	public String getCa_pb() {
		return this.ca_pb;
	}
	public void setCa_pb(String ca_pb) {
		this.ca_pb = ca_pb;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_zn;
	public String getCa_zn() {
		return this.ca_zn;
	}
	public void setCa_zn(String ca_zn) {
		this.ca_zn = ca_zn;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_la;
	public String getCa_la() {
		return this.ca_la;
	}
	public void setCa_la(String ca_la) {
		this.ca_la = ca_la;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_sb;
	public String getCa_sb() {
		return this.ca_sb;
	}
	public void setCa_sb(String ca_sb) {
		this.ca_sb = ca_sb;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_se;
	public String getCa_se() {
		return this.ca_se;
	}
	public void setCa_se(String ca_se) {
		this.ca_se = ca_se;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_cd;
	public String getCa_cd() {
		return this.ca_cd;
	}
	public void setCa_cd(String ca_cd) {
		this.ca_cd = ca_cd;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_fe;
	public String getCa_fe() {
		return this.ca_fe;
	}
	public void setCa_fe(String ca_fe) {
		this.ca_fe = ca_fe;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_zr;
	public String getCa_zr() {
		return this.ca_zr;
	}
	public void setCa_zr(String ca_zr) {
		this.ca_zr = ca_zr;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_w;
	public String getCa_w() {
		return this.ca_w;
	}
	public void setCa_w(String ca_w) {
		this.ca_w = ca_w;
	}

	/** 
	 * null
	 */ 
	@Column
	private String ca_bi;
	public String getCa_bi() {
		return this.ca_bi;
	}
	public void setCa_bi(String ca_bi) {
		this.ca_bi = ca_bi;
	}

}
